# MedicalCertificateResult class

Inheritance
  - Object
  - Result
  - MedicalCertificateResult
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, createToJson: false, explicitToJson: false)

## Constructors

MedicalCertificateResult(bool? recognitionSuccessful, List<MedicalCertificateCheckBox> checkboxes, List<DateRecord> dates, MedicalCertificatePatientInfoBox? patientInfoBox, McFormType mcFormType)
MedicalCertificateResult.canceled()
MedicalCertificateResult.error(String message)
MedicalCertificateResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

checkboxes ↔ List<MedicalCertificateCheckBox>
  Vector of found checkboxes
  getter/setter pair
croppedDocumentURI ↔ Uri?
  getter/setter pair
dates ↔ List<DateRecord>
  Vector of validated dates
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
mcFormType ↔ McFormType
  Type of MC form
  getter/setter pair
message ↔ String?
  Message with description of returned result, for example, error message
  getter/setter pair inherited
operationResult ↔ OperationResult?
  Standard result status
  getter/setter pair inherited
patientInfoBox ↔ MedicalCertificatePatientInfoBox?
  getter/setter pair
recognitionSuccessful ↔ bool?
  Defines a result of the Medical Certificate scanning flow. */ class MedicalCertificateRecognizerResult { Defines whether recognition was successful
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited